cannot add domain to org after already in use by host 

02/24/2014 11:43 PM - Thomas McKay

Status: New   

Priority: Normal   

Assignee:    

Category: Networking   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  In Kanboard:  

Pull request:  Red Hat JIRA:  

Team Backlog:    

Description

Created a host (via api) in an org, using a domain not yet in that org. Next tried adding the domain to the org:

$ hammer organization add_domain --id 10 --domain-id 1

Environments You cannot remove environments that are used by hosts or inherited.

Info for host below (odd that org is not listed in info?)

$ hammer host info --id 1

Id:                   1

Name:                 dhcp129-000.megacorp.com

Operating System Id:  4

Host Group Id:

IP:

MAC:                  01:fe:b5:e0:70:00

UUID:

Cert name:            dhcp129-000.megacorp.com

Environment:

Environment Id:       1

Managed:

Enabled:              true

Build:                false

Use image:

Disk:

Image file:

SP Name:

SP IP:

SP MAC:

SP Subnet:

SP Subnet Id:

Created at:           2014/02/24 21:05:52

Updated at:           2014/02/24 22:36:35

Installed at:

Last report:

Puppet CA Proxy Id:

Medium Id:

Model Id:             1

Owner Id:

Subnet Id:

Domain Id:            1

Puppet Proxy Id:

Owner Type:

Partition Table Id:   14

Architecture Id:      1

Image Id:
Compute Resource Id:

Comment:

Parameters:

History

#1 - 04/30/2018 10:59 AM - Tomáš Strachota

- Category changed from Foreman commands (obsolete) to Networking
